// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "scene/components/display/TiledSprite.hpp"

namespace Dawn {
  enum TicTacToeTileState {
    TIC_TAC_TOE_BLANK,
    TIC_TAC_TOE_NOUGHT,
    TIC_TAC_TOE_CROSS
  };

  class TicTacToeTile : public SceneItemComponent {
    public:
      enum TicTacToeTileState state = TIC_TAC_TOE_BLANK;

      TicTacToeTile(SceneItem *item);

      void setState(enum TicTacToeTileState state);
  };
}